# Supported language

- Deviations from the standard
- Extensions to the standard
- Non-standard read syntax
- Non-standard macros and special forms
- Pattern matching
- Declarations
- Parameters
- Unit library basic Scheme definitions
- Unit eval evaluation and macro-handling
- Unit data-structures data structures
- Unit ports I/O ports
- Unit files File and pathname operations
- Unit extras useful utility definitions
- Unit srfi-1 list library
- Unit srfi-4 homogeneous numeric vectors
- Unit srfi-13 string library
- Unit srfi-14 character set library
- Unit srfi-69 hash tables
- Unit match pattern matching runtime-support
- Unit regex regular expressions
- Unit srfi-18 multithreading
- Unit posix Unix-like services
- Unit utils Shell scripting and file operations
- Unit tcp basic TCP-sockets
- Unit lolevel low-level operations

Previous: Using the interpreter

Next: Interface to external functions and variables